X2Go Bug report logs - #268
x2goruncommand - set IMEXIT="false" for gnome-terminal

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Tue, 23 Jul 2013 20:33:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.0

Fixed in version 4.0.1.4

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#268; Package x2goserver. (Tue, 23 Jul 2013 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 23 Jul 2013 20:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: Rok Mandeljc <rok.mandeljc@gmail.com>
Subject: x2goruncommand - set IMEXIT="false" for gnome-terminal
Date: Tue, 23 Jul 2013 22:25:09 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.1.0.0
Tag: patch

----- Weitergeleitete Nachricht von rok.mandeljc@gmail.com -----
     Datum: Tue, 23 Jul 2013 20:44:16 +0200
       Von: Rok Mandeljc <rok.mandeljc@gmail.com>
Antwort an: x2go-dev@lists.berlios.de
   Betreff: [X2Go-Dev] Patch: x2goruncommand - set IMEXIT="false" for  
gnome-terminal
        An: x2go-dev@lists.berlios.de

Hello,

another patch from my attempt to set up x2go on my Fedora 19 box. It  
would appear that gnome-terminal in GNOME 3.8 returns immediately and  
runs in background, whereas the previous versions did not do so.  
Consequently, IMEXIT="false" should be set for gnome-terminal in the  
"TERMINAL" switch in x2goruncommand. If not, the terminal window  
appears on client for a second, then closes and the session is  
proclaimed to be finished. Patch attached.

Regards,
    Rok




----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[x2goruncommand-gnome-terminal-w-f19.patch (text/x-patch, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#268; Package x2goserver. (Fri, 26 Jul 2013 06:42:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 26 Jul 2013 06:42:35 GMT) Full text and rfc822 format available.

Message #10 received at 268@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 268-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 268@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Fri, 26 Jul 2013 08:41:52 +0200 (CEST)
tag #268 pending
fixed #268 4.0.1.4
thanks

Hello,

X2Go issue #268 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=2085cb6

The issue will most likely be fixed in src:x2goserver (4.0.1.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 2085cb616182aa47e7233ffbe72a5b45349ed508
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jul 26 08:40:10 2013 +0200

    The gnome-terminal TERMINAL returns immediately and runs in background starting with GNOME 3.8. Thus, set IMEXIT to false for gnome-terminal. (Fixes: #268).
    
    Cherry-pick conflicts (resolved by Mike Gabriel):
    	debian/changelog

diff --git a/debian/changelog b/debian/changelog
index 2952864..954e75d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,10 +1,17 @@
 x2goserver (4.0.1.4-0~x2go1) UNRELEASED; urgency=low
 
-  * New upstream versino (4.0.1.4):
+  [ Mike Gabriel ]
+  * New upstream version (4.0.1.4):
     - Multiply query USED_DISPLAYS and USED_PORTS in x2gostartagent to minimize
       race conditions in cases where many clients launch session simultaneously.
     - Make X2Go Server aware of the MATE desktop environment.
 
+  [ Rok Mandeljc ]
+  * New upstream version (4.0.1.4):
+    - The gnome-terminal TERMINAL returns immediately and runs in background
+      starting with GNOME 3.8. Thus, set IMEXIT to false for gnome-terminal.
+      (Fixes: #268).
+
  -- Mike Gabriel <mike.gabriel@das-netzwertkeam.de>  Fri, 19 Jul 2013 17:53:11 +0200
 
 x2goserver (4.0.1.3-0~x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 26 Jul 2013 06:42:36 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.4. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 26 Jul 2013 06:42:36 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#268. (Fri, 26 Jul 2013 06:42:36 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#268; Package x2goserver. (Fri, 26 Jul 2013 22:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 26 Jul 2013 22:18:01 GMT) Full text and rfc822 format available.

Message #22 received at 268@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 268-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 268@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sat, 27 Jul 2013 00:08:56 +0200 (CEST)
close #268
thanks

Hello,

we are very hopeful that X2Go issue #268 reported by you
has been resolved in the new release (4.0.1.4) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.1.4)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=72b1ec3a2e9f89ff8945090e70752c01deeca461;hp=5e95a3c5c1462eb10f226505ebcc26c8197df306

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.4
Status: RELEASE
Date: Sat, 27 Jul 2013 00:08:15 +0200
Fixes: 268
Changes: 
 x2goserver (4.0.1.4) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.4):
     - Multiply query USED_DISPLAYS and USED_PORTS in x2gostartagent to minimize
       race conditions in cases where many clients launch session simultaneously.
     - Make X2Go Server aware of the MATE desktop environment.
     - x2goumount-session: allow args $X2GO_SESSION <server-mount-point> in
       addition to $X2GO_SESSION <client-directory>.
 .
   [ Rok Mandeljc ]
   * New upstream version (4.0.1.4):
     - The gnome-terminal TERMINAL returns immediately and runs in background
       starting with GNOME 3.8. Thus, set IMEXIT to false for gnome-terminal.
       (Fixes: #268).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 26 Jul 2013 22:18:01 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Fri, 26 Jul 2013 22:18:01 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#268. (Fri, 26 Jul 2013 22:18:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 24 Aug 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:31:58 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.